ZARAFA-SPOOLER.CFG(5)                                    ZARAFA-SPOOLER.CFG(5)



NAME
       zarafa-spooler.cfg - The Zarafa spooler configuration file

SYNOPSIS
       spooler.cfg


DESCRIPTION




       The spooler.cfg is a configuration file for the Zarafa Spooler.
       spooler.cfg contains instructions for the software to set up the
       logging system and outgoing smtp relay server.



FILE FORMAT




       The file consists of one big section, but parameters can be grouped by
       functionality.




       The parameters are written in the form:




       name = value



       The file is line-based. Each newline-terminated line represents either
       a comment, nothing, a parameter or a directive. A line beginning with
       `#' is considered a comment, and will be ignored by Zarafa. Parameter
       names are case sensitive. Lines beginning with `!' are directives.



       Directives are written in the form:



       !directive  [argument(s)]



       The following directives exist:



       include
              Include and process argument

              Example: !include common.cfg



EXPLANATION OF EACH PARAMETER




       smtp_server
              Hostname or IP address of the outgoing SMTP server. This server
              needs to relay mail for your server.

              Default: localhost


       smtp_port
              TCP Port number for smtp_server.

              Default: 25


       server_socket
              Unix socket to find the connection to the Zarafa server.

              Default: file:///var/run/zarafa


       run_as_user
              After correctly starting, the spooler process will become this
              user, dropping root privileges. Note that the log file needs to
              be writeable by this user, and the directory too to create new
              logfiles after logrotation. This can also be achieved by setting
              the correct group and permissions.

              Default value is empty, not changing the user after starting.


       run_as_group
              After correctly starting, the spooler process will become this
              group, dropping root privileges.

              Default value is empty, not changing the group after starting.


       pid_file
              Write the process ID number to this file.

              Default: /var/run/zarafa-spooler.pid


       running_path
              Change directory to this path when running in daemonize mode.
              When using the -F switch to run in the foreground the directory
              will not be changed.

              Default: /


       sslkey_file
              Use this file as key to logon to the server. This is only used
              when server_socket is set to an HTTPS transport. See the
              zarafa-server(1) manual page on how to setup SSL keys.

              Default: value not set.


       sslkey_pass
              The password of the SSL key file that is set in sslkey_file.

              Default: value not set.


       log_method
              The method which should be used for logging. Valid values are:




              syslog Use the Linux system log. All messages will be written to
                     the mail facility. See also syslog.conf(5).


              file   Log to a file. The filename will be specified in
                     log_file.


              Default: file


       log_file
              When logging to a file, specify the filename in this parameter.
              Use - (minus sign) for stderr output.

              Default: -


       log_timestamp
              Specify whether to prefix each log line with a timestamp in
              'file' logging mode.

              Default: 1


       log_level
              The level of output for logging in the range from 0 to 5. 0
              means no logging, 5 means full logging.

              Default: 2


       max_threads
              The maximum number of threads used to send outgoing messages.
              For each email in the outgoing queue a seperate thread will be
              started in order to allow multiple emails to be send out
              simultaneously.

              Default: 5


       fax_domain
              When an email is sent to a contact with a FAX type email
              address, the address will be rewritten to a normal SMTP address,
              using the scheme: <faxnumber>@<fax_domain>. You can install
              software in your SMTP server which handles these email addresses
              to actually fax the message to that number.

              Default:


       fax_international
              When sending an international fax, the number will start with a
              '+' sign. You can rewrite this to the digits you need to dial
              when dialing to another country.

              Default: +


       always_send_delegates
              Normally, a user needs to give explicit rights to other users to
              be able to send under their name. When setting this value to
              'yes', the spooler will not check these permissions, and will
              always send the email with 'On behalf of' headers. This was the
              default behaviour in installations before Zarafa 6.20. Please
              note that this feature overrides 'send-as' functionality.

              Default: no


       always_send_tnef
              Since Zarafa 6.30, meeting requests will be sent using iCalendar
              files. This adds compatibility to more calendar programs. To use
              the previous TNEF (winmail.dat) method, set this option to
              'yes'.

              Default: no


       always_send_utf8
              E-mails can be sent in any charset that the e-mail was written
              in. It may be desirable to always send in the UTF-8 charset,
              which may be more widely supported. To enable e-mail to always
              be sent in the utf-8 charset, set this option to 'yes'.

              Default: no


       allow_redirect_spoofing
              Normally, users are not allowed to send e-mail from a different
              e-mail address than their own. However, the 'redirect' rule
              sends e-mails with their original 'from' address. Enabling this
              option allows redirected e-mails to be sent with their original
              'from' e-mail address.

              Default: yes


       copy_delegate_mails
              Make a copy of the sent mail of delegates in the sent items
              folder of the representee. This is done for both delegate and
              send-as e-mails.

              Default: yes


       allow_delegate_meeting_request
              Normally, users are not allowed to send meeting requests as
              external delegate. However, when you want to forward meeting
              requests you need delegate permissions. Enabling this option
              allows you to sent and forward a meeting request as a delegate
              Zarafa and SMTP user.

              Default: yes


       expand_groups
              Expand groups in headers of sent e-mails. This means that the
              recipient of an e-mail with one or more groups as recipients
              will see the members of the groups instead of the groups
              themselves. If a group has an e-mail address, the group is not
              expanded irrespective of this setting, since having an e-mail
              address for the group implies that this address can be used to
              send messages to the group.

              Default: no



RELOADING


       The following options are reloadable by sending the zarafa-spooler
       process a HUP signal:




       log_level, max_threads




FILES




       /etc/zarafa/spooler.cfg
              The Zarafa spooler configuration file.



AUTHOR


       Written by Zarafa.



SEE ALSO


        zarafa-spooler(1)





                                                         ZARAFA-SPOOLER.CFG(5)
